Package org.eclipse.net4j.util.io

## Class ExtendedIOAdapter

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedIOAdapter

- All Implemented Interfaces:
    `ExtendedInputHandler`, `ExtendedIOHandler`, `ExtendedOutputHandler`

      public class ExtendedIOAdapter
      extends java.lang.Object
      implements ExtendedIOHandler

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedIOAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleIn​(ExtendedDataInputStream in)` |
    `void` | `handleOut​(ExtendedDataOutputStream out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedIOAdapter

          public ExtendedIOAdapter()

  - ### Method Detail

    - #### handleIn

          public void handleIn​(ExtendedDataInputStream in)
                        throws java.io.IOException

      Specified by:
        `handleIn` in interface `ExtendedInputHandler`
      Throws:
        `java.io.IOException`

    - #### handleOut

          public void handleOut​(ExtendedDataOutputStream out)
                         throws java.io.IOException

      Specified by:
        `handleOut` in interface `ExtendedOutputHandler`
      Throws:
        `java.io.IOException`